Package org.bgerp.dao.process

# Class ProcessMessageDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.process.ProcessDAO
org.bgerp.dao.process.ProcessMessageDAO

public class ProcessMessageDAO extends ProcessDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.process.ProcessDAO

  `form, LINKED_PROCESS, MODE_USER_CLOSED, MODE_USER_CREATED, MODE_USER_STATUS_CHANGED`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessMessageDAO(Connection con, DynActionForm form)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `searchProcessListForMessage(Pageable<Pair<Process,MessagePossibleProcessSearch>> searchResult, String from, List<ProcessLink> links, Boolean open)`
  Searches processes, related to a message using search types from `MessagePossibleProcessSearch`.

  ### Methods inherited from class ru.bgcrm.dao.process.ProcessDAO

  `deleteProcess, getIsolationJoin, getProcess, getProcessFromRs, getProcessFromRs, getProcessOrThrow, processIdInvert, searchProcessListByAddress, searchProcessListForUser, searchProcessListForUser, updateProcess, updateProcessExecutors, updateProcessGroups, updateProcessTitle`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessMessageDAO

    public ProcessMessageDAO(Connection con, DynActionForm form)

- ## Method Details

  - ### searchProcessListForMessage

    public void searchProcessListForMessage(Pageable<Pair<Process,MessagePossibleProcessSearch>> searchResult, String from, List<ProcessLink> links, Boolean open) throws SQLException
    Searches processes, related to a message using search types from `MessagePossibleProcessSearch`.
    Parameters:
      `searchResult` - result list sorted by `MessagePossibleProcessSearch` config IDs, `Pair.getSecond()` defines type of relation.
      `from` - message from address.
      `links` - not `null` list with found link objects.
      `open` - when not `null` - filter only opened or closed processes.
    Throws:
      `SQLException`